Skip to main content

Upload a tool holder

POST 

/v1/holders

Creates a tool holder and returns a short-lived URL for uploading its CAD source. Upload the file to the URL, then run Import a tool holder (PATCH /v1/holders/{id}). A holder is one upload: uploading again once an import has been asked for is not supported, even of the same file, and the next request may be refused with holder_source_changed. Create a new holder for a new upload.

Request​

Responses​

The holder was created and is ready for direct upload.